Subject: Re: VGA to Monitor GS (Was Re: Apple IIGS on a VGA monitor...the hard way?)
From: [email-masked] (Dave Althoff)
Date: 2 Oct 1997 23:10:00 -0400
Newsgroups: comp.sys.apple2

A word about video displays...

NTSC video is 262.5 lines per field, two fields per frame, thirty frames
per second.  Since the fields are interlaced (a little like Apple's
80-column screen memory map, turned on its side...odd lines, then even
lines on the next field), that means a screen resolution of 525 lines by
however many pixels will fit.  Remember, NTSC video is analog, so the
horizontal resolution is not rigidly defined.

Okay, so that means that for each frame, the screen has to trace over 525
lines.  Multiply that by 30 frames/second, and you get 15,750 line traces
per second.  That is the familiar 15.75 kHz horizontal oscillator
frequency.  So the vertical retrace rate is 60 Hz (one retrace for each
field), and the horizontal retrace is 15.75 kHz.

Now, this limits resolution to 525 vertical and...about 700 horizontal if
you are using square pixels.  That would be enough for 640x480 VGA, except
that many computers prefer not to interlace the fields, which then cuts
the resolution down to 700 x 262.5.  With that in mind, you can see why
the IIgs graphic modes go up to 640x200.

Now, if we want to increase vertical resolution, we need to figure out a
way to scan more horizontal lines during the screen refresh...and this is
what XGA monitors do.  Say we want an 800 x 600 display, and we want that
non-interlaced.  That means we need at least 1,200 scan lines per frame,
and at 30 fps, we need to draw 36,000 lines per second, which means
bumping the horizontal oscillator up to 36 kHz.  Which is why the GS
monitor won't display XGA resolutions on a Second Sight board.

Of course, one of the problems is that computers don't do the timing
necessary for interlacing very well.  Interlaced displays tend to flicker
because the signals don't line up exactly, so most computers use
non-interlaced displays...both fields are identical.  I don't know if XGA
specifies progressive scanning (scan all lines in one pass instead of
every other line) or not, but that would theoretically result in more
display flicker because more time would be required to redraw the whole
screen.  Which is why most progressive-scanning schemes considered for
high-definition video specify a frame rate of at least 60
frames/second...so that there will be no more flicker than for 30 fps
interlaced.

I know that some of the nice XGA monitors out there also switch to a
higher vertical scan rate...say, 74 Hz rather than 60 Hz.  Of course, for
our 800x600 display, that means bumping the horizontal scan rate up to
44.4 kHz.

I suspect that the high scanning frequencies may also be part of the
reason that modern computer displays cannot generate the brilliant colors
that our GS displays can.  The dot pitch is so small that the amount of
screen devoted to each of the three color pixels is curtailed...less area
per color pixel (and I am talking about screen pixels, all of which are
red, green, or blue, not to computer pixels) would tend to yield a more
muted color...but the trade off is much higher resolution.

I hope that makes some sense...Corrections are encouraged..

--Dave Althoff, ][.
-- 
    /-\        _       _           ***  Just a few more weeks!!!  ***
   /XXX\      /X\     /X\_      _     /XX\_      _     _        _____  
  /XXXXX\    /XXX\  _/XXXX\_   /X\   /XXXXX\    /X\   /X\      /XXXXX
_/XXXXXXX\__/XXXXX\/XXXXXXXX\_/XXX\_/XXXXXXX\__/XXX\_/XXX\_/\_/XXXXXX